[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-changelog] [xen-unstable] [PATCH] Check for non-existent local repo



# HG changeset patch
# User Ian Campbell <ian.campbell@xxxxxxxxxxxxx>
# Date 1181055166 -3600
# Node ID faef0f7954904c18894ac44c09ff8814d4c3e9b2
# Parent  c5cf3942b5da002b02280bae4dcf92629593fcbb
[PATCH] Check for non-existent local repo
Check for non-existent local clone in select-repository.
Also change the #!/bin/bash to #!/bin/sh since the Makefile is calling
it explicitly with sh, and fix a couple other typos.

Signed-off-by: Aron Griffis <aron@xxxxxx>
---
 buildconfigs/select-repository |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -r c5cf3942b5da -r faef0f795490 buildconfigs/select-repository
--- a/buildconfigs/select-repository    Tue Jun 05 15:51:59 2007 +0100
+++ b/buildconfigs/select-repository    Tue Jun 05 15:52:46 2007 +0100
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 ME=$(basename $0)
 
@@ -39,9 +39,13 @@ fi
 fi
 
 BASE=$(dirname ${XEN})
-if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
-    echo "$ME: Unable to determine Xen repository parent." 1>&2
+if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
+    echo "$ME: Unable to determine Xen repository base." 1>&2
     exit 1;
+fi
+if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
+    echo "$ME: No such dir: $BASE/$REPO" 1>&2
+    exit 1
 fi
 
 echo "$ME: Found ${BASE}/${REPO}" 1>&2

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.